Tryton - Issues



Title account_fr: Add tax codes for first page of the 3310-A form
Priority feature Status resolved
Superseder Nosy List ced, rhertzog, roundup-bot
Type Components account_fr
Assigned To rhertzog Keywords patch

Created on 2014-02-10.15:57:50 by rhertzog, last changed by roundup-bot.

File name Uploaded Type Edit Remove
account_fr.patch rhertzog, 2014-06-09.22:24:03 text/plain
msg17106 (view) Author: [hidden] (roundup-bot) Date: 2014-06-09.23:40:30
New changeset 512329a1eec9 by Rapha?l Hertzog in branch 'default':
Add tax codes for first page of the 3310-A form
msg17105 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-06-09.22:24:03
Here's the acked patch. Please apply it. TIA.
msg17017 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-06-03.09:21:39
I dropped the tax "Retenue de TVA sur droits d'auteur" which is not very well defined but kept all the tax codes. I updated review3391002. It would be nice to get this applied.
msg15546 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-02-11.10:25:22
It's true that it only concerns a subset of companies but I don't see any reason
to exclude them. I would at least keep the tax code even we don't pre-create all
the relevant taxes.

In my specific case, I need to declare the "Retenue de TVA sur droits d'auteur"
so I wanted to track it.

I have submitted some fixes and the tax "Retenue de TVA sur droits d'auteur" is
correctly configured now but I'm not sure of its value given that I'm unlikely
to use "supplier invoices" to track the "droits d'auteurs" because what we pay
to authors is not just the "right" +/- TVA adjustments. We have to retain some
social dues on the amount of "droits d'auteurs" and this can't be easily tracked
in a standard invoice.
msg15540 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-02-10.16:11:13
It was not included at first because it was considered too much specific for
standard usage.
msg15539 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-02-10.15:57:50
The second page of the 3310-1 form was already present in the current tax chart
but not the first one. This patch adds the missing tax codes.

Here's the 3310-A form:

The suggested patch is in review3391002

I also added a very specific tax for editors who have contracts with authors and
who are paying copyright rights. This one needs to be double checked.

It's applied on invoices that author gives to editors, but it comes on top of
the traditional 5,5% VAT that is deductible. This one is to be paid to the state
(hence the negative rate and the account 44571).

Please wait my ack until I'm sure this is the correct way to do it in tryton.
Date User Action Args
2014-06-09 23:40:31roundup-botsetstatus: chatting -> resolved
nosy: + roundup-bot
messages: + msg17106
2014-06-09 22:24:05rhertzogsetfiles: + account_fr.patch
messages: + msg17105
keyword: + patch
2014-06-03 09:21:40rhertzogsetmessages: + msg17017
2014-02-11 10:25:23rhertzogsetmessages: + msg15546
2014-02-10 16:11:13cedsetstatus: unread -> chatting
nosy: + ced
messages: + msg15540
2014-02-10 15:57:50rhertzogcreate

Showing 10 items. Show all history (warning: this could be VERY long)